Skip to content
Start here

Retrieve the DCV Delegation unique identifier.

client.dcvDelegation.get(DCVDelegationGetParams { zone_id } params, RequestOptionsoptions?): DCVDelegationUUID { uuid }
GET/zones/{zone_id}/dcv_delegation/uuid

Retrieve the account and zone specific unique identifier used as part of the CNAME target for DCV Delegation.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates WriteSSL and Certificates Read
ParametersExpand Collapse
params: DCVDelegationGetParams { zone_id }
zone_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
DCVDelegationUUID { uuid }
uuid?: string

The DCV Delegation unique identifier.

Retrieve the DCV Delegation unique identifier.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const dcvDelegationUUID = await client.dcvDelegation.get({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(dcvDelegationUUID.uuid);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "uuid": "abc123def456ghi7"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "uuid": "abc123def456ghi7"
  }
}